Bug 205321 - (perl-Moose) Review Request: perl-Moose - Complete modern object system for Perl 5
Review Request: perl-Moose - Complete modern object system for Perl 5
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Moose/
:
Depends On: perl-Sub-Name perl-Sub-Install perl-Sub-Exporter perl-Class-MOP perl-Params-Coerce
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-05 20:08 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-08 12:37:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-05 20:08:48 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Moose-0.12-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Moose.spec

Description:
Moose is an extension of the Perl 5 object system.
Comment 1 Jason Tibbitts 2006-09-08 12:25:28 EDT
Everything looks good with the new perl-DateTime-Format-MySQL package that you
pushed.

* source files match upstream:
   2357e2a18025f62d9068766298e7bbc6  Moose-0.12.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(Moose) = 0.12
   perl(Moose::Meta::Attribute) = 0.06
   perl(Moose::Meta::Class) = 0.07
   perl(Moose::Meta::Instance) = 0.01
   perl(Moose::Meta::Method::Overriden) = 0.01
   perl(Moose::Meta::Role) = 0.04
   perl(Moose::Meta::Role::Method) = 0.01
   perl(Moose::Meta::TypeCoercion) = 0.01
   perl(Moose::Meta::TypeConstraint) = 0.04
   perl(Moose::Meta::TypeConstraint::Union) = 0.01
   perl(Moose::Object) = 0.06
   perl(Moose::Role) = 0.05
   perl(Moose::Util::TypeConstraints) = 0.07
   perl-Moose = 0.12-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(B)
   perl(Carp)
   perl(Class::MOP)
   perl(Moose)
   perl(Moose::Meta::Attribute)
   perl(Moose::Meta::Class)
   perl(Moose::Meta::Instance)
   perl(Moose::Meta::Role)
   perl(Moose::Meta::TypeCoercion)
   perl(Moose::Meta::TypeConstraint)
   perl(Moose::Object)
   perl(Moose::Util::TypeConstraints)
   perl(Scalar::Util)
   perl(Sub::Exporter)
   perl(Sub::Name)
   perl(UNIVERSAL::require)
   perl(base)
   perl(metaclass)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful, 1 test skipped.
   Files=60, Tests=1543, 10 wallclock secs ( 8.03 cusr +  1.25 csys =  9.28 CPU)
   (one skipped test due to a prerequisite which cannot be packaged for extras)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2006-09-08 12:37:09 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review!  
Comment 3 Chris Weyl 2007-10-13 17:47:40 EDT
Please branch for F-8 :)
Comment 4 Kevin Fenzi 2007-10-14 15:46:20 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.